Subject: Re: Scaling Max IP address limitation

From: Patrick McHardy <[email-masked]>
Date: Mon, 25 Jun 2007 11:36:04 +0200

Jan Engelhardt wrote:
> On Jun 24 2007 15:08, Kyle Moffett wrote:
> 
>>Do you really need that many IP addresses?  When somebody finally gets
>>around to implementing REDIRECT support for ip6tables then you could
>>just redirect them all to the same port on the local system.
> 
> 
> The way I see it, it's: "if someone gets around to implement *IPv6 NAT*"
> (which, if its designers were asked, is contrary to the idea of ipv6).

You don't necessarily need NAT for REDIRECT, so we might actually have
an ip6tables REDIRECT some day. Check out the current TPROXY patches
for an example how to do it without NAT in case you're interested.